Summary:	NSCA daemon for Nagios
Name:		nsca
Version:	2.7.2
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://sourceforge.net/projects/nagios/
Source0:	http://prdownloads.sourceforge.net/nagios/%{name}-%{version}.tar.gz
Source1:	nsca.init
Patch0:		nsca-mdv_conf.diff
BuildRequires:	tcp_wrappers-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool-devel
Requires:	tcp_wrappers
Requires:	nagios
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The NSCA addon is designed to accept passive host and service check results
from clients that use the send_nsca utility (included in client subpackage) and
pass them along to the Nagios process by using the external command interface.

%package -n	send_nsca
Summary:	NSCA client
Group:		System/Servers
Requires:	nagios

%description -n	send_nsca
NSCA client - is used to send service check information from a remote machine
to the NSCA daemon on the central machine that runs Nagios.

%prep

%setup -q
%patch0 -p0

cp %{SOURCE1} nsca.init

%build

%configure2_5x \
    --with-nsca-port=5667 \
    --with-nsca-user=nagios \
    --with-nsca-grp=nagios \
    --localstatedir=/var/spool/nagios \
    --sysconfdir=%{_sysconfdir}/nagios

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/nagios
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}/var/spool/nagios
install -d %{buildroot}/var/run/%{name}

install -m0755 src/nsca %{buildroot}%{_sbindir}/
install -m0755 src/send_nsca %{buildroot}%{_sbindir}/
install -m0755 nsca.init %{buildroot}%{_initrddir}/nsca
install -m0644 sample-config/nsca.cfg %{buildroot}%{_sysconfdir}/nagios/nsca.cfg
install -m0644 sample-config/send_nsca.cfg %{buildroot}%{_sysconfdir}/nagios/send_nsca.cfg

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changelog LEGAL README SECURITY
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/nagios/nsca.cfg
%attr(0755,root,root) %{_initrddir}/nsca
%attr(0755,root,root) %{_sbindir}/nsca
%attr(0755,nagios,nagios) /var/spool/nagios
%attr(0755,nagios,nagios) %dir /var/run/%{name}

%files -n send_nsca
%defattr(-,root,root)
%doc Changelog LEGAL README SECURITY
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/nagios/send_nsca.cfg
%attr(0755,root,root) %{_sbindir}/send_nsca


%changelog
* Fri Jul 13 2007 Oden Eriksson <oeriksson@mandriva.com> 2.7.2-1mdv2008.0
+ Revision: 51850
- 2.7.2

* Tue Apr 17 2007 Oden Eriksson <oeriksson@mandriva.com> 2.7.1-1mdv2008.0
+ Revision: 13785
- Import nsca



* Wed Apr 11 2007 Oden Eriksson <oeriksson@mandriva.com> 2.7.1-1mdv2007.1
- initial mandriva package
